# $Revision: 1.33.2.1 $, $Date: 2006/04/22 19:53:04 $
Summary:	XDrawChem - a chemical drawing program
Summary(pl):	XDrawChem - program do rysunkw chemicznych
Name:		xdrawchem
Version:	1.9.8
Release:	2
License:	BSD-like
Group:		X11/Applications/Science
Source0:	http://dl.sourceforge.net/sourceforge/xdrawchem/%{name}-%{version}.tar.gz
# Source0-md5:	81e434bfbd9a993d49cc6d6aea7b1589
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://xdrawchem.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openbabel-devel >= 1.100.2
BuildRequires:	pkgconfig
BuildRequires:	qt-devel >= 3.0.5
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XDrawChem is a program for drawing chemical structures and reactions.
It can also predict 13C NMR and IR spectra, calculate empirical
formulas, and estimate elemental analysis.

%description -l pl
XDrawChem jest programem do rysowania chemicznych struktur i reakcji.
Moe take przewidzie widma NMR (13C i 1H) oraz IR, oblicza wzory
empiryczne oraz skad pierwiastkowy.

%prep
%setup -q

# don't try to use qt-st
sed -i -e 's/libqt\./nolibqt\./' configure.ac

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%{__perl} automoc
%configure \
	--with-qtdir=%{_prefix} \
	--with-qtlibdir=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT.txt HISTORY.txt README.txt TODO.txt
%attr(755,root,root) %{_bindir}/xdrawchem
%dir %{_datadir}/xdrawchem
%{_datadir}/xdrawchem/[!x]*
%{_datadir}/xdrawchem/xdrawchemrc
%{_datadir}/xdrawchem/xdrawchem*.png
%lang(da) %{_datadir}/xdrawchem/xdrawchem_da.qm
%lang(de) %{_datadir}/xdrawchem/xdrawchem_de.qm
%lang(en) %{_datadir}/xdrawchem/xdrawchem_en.qm
%lang(es) %{_datadir}/xdrawchem/xdrawchem_es.qm
%lang(fr) %{_datadir}/xdrawchem/xdrawchem_fr.qm
%lang(it) %{_datadir}/xdrawchem/xdrawchem_it.qm
%lang(nl) %{_datadir}/xdrawchem/xdrawchem_nl.qm
%lang(pl) %{_datadir}/xdrawchem/xdrawchem_pl.qm
%lang(ru) %{_datadir}/xdrawchem/xdrawchem_ru.qm
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xdrawchem.spec,v $
Revision 1.33.2.1  2006/04/22 19:53:04  ankry
- update Categories, rel. 2

Revision 1.33  2005/08/13 17:57:27  qboosh
- hack configure not to use qt-st

Revision 1.32  2005/08/12 09:09:00  blekot
- BR: qt-st-devel req: qt-devel, deleted.

Revision 1.31  2005/08/12 09:03:48  blekot
- rel 1

Revision 1.30  2005/08/12 08:42:06  blekot
- up to 1.9.8
- rel 0.1 (NFY)!
- build hungs :D

Revision 1.29  2005/06/14 00:46:00  undefine
- up to 1.9.6

Revision 1.28  2005/02/20 21:14:38  adamg
- added lib64.patch (fixes build on 64 bit systems)

Revision 1.27  2005/02/20 19:35:25  adamg
- BuildRequires: pkgconfig

Revision 1.26  2005/02/20 18:18:55  adamg
- updated to 1.9.2
- added qt_path.patch (search for qt headers in proper place)

Revision 1.25  2004/12/08 22:44:38  undefine
- up to 1.9, small pl changes by piti@jabber.uznam.net.pl

Revision 1.24  2004/11/08 23:01:13  roman
- corrected Polish description
- R++

Revision 1.23  2004/11/08 23:00:41  roman
- corrected Polish description

Revision 1.22  2004/09/09 22:24:50  paszczus
- reverted changes

Revision 1.21  2004/09/09 21:59:06  paszczus
- updated to 0.5.3

Revision 1.20  2004/04/10 00:50:56  qboosh
- new URLs, updated to 1.8, removed obsolete patch, added ac patch
- switched to vfolders

Revision 1.19  2003/10/25 13:46:08  ankry
- really addedd icon

Revision 1.18  2003/05/31 23:40:16  adamg
- up to 1.7.1
- added source0-md5

Revision 1.17  2003/05/25 06:28:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/11/09 02:15:52  ankry
 added icon, release 2

Revision 1.15  2002/09/21 18:01:29  blues
- 1.5.2 - first release with ac/am support, old patch replaced by new one
 (remove building included openbabel) - STBR

Revision 1.14  2002/09/11 03:30:28  kloczek
- release 2.

Revision 1.13  2002/09/10 13:31:52  blues
- 1.5 - removed patches, added qmake patch - STBR

Revision 1.12  2002/09/06 13:37:54  blues
- moved desktop to chemistry directory

Revision 1.11  2002/09/03 11:12:49  blues
- release 4 - added desktop

Revision 1.10  2002/08/31 16:32:41  blues
- release 3 - STBR

Revision 1.9  2002/08/18 13:41:54  blues
- release 2 - license fix

Revision 1.8  2002/08/05 16:50:44  mmazur
- rel1 btw

Revision 1.7  2002/08/05 16:48:28  mmazur
- builds :)

Revision 1.6  2002/08/05 01:12:35  blues
- 1.4.2
NOTE: our compiller suxx...

Revision 1.5  2002/07/17 23:37:57  blues
- 1.4.1
- still the same failure while building...

Revision 1.4  2002/07/13 22:47:28  blues
- 1.4
- new doc
Still does not build...

Revision 1.3  2002/06/14 12:14:10  blues
- 1.3.2

Revision 1.2  2002/05/13 10:44:14  qboosh
- adapterized, removed bashism
